Package dev.plex.punishment.extra

# Class Note

java.lang.Object
dev.plex.punishment.extra.Note

@Entity public class Note extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`id`
`private final String`
`note`
`private final ZonedDateTime`
`timestamp`
`private final UUID`
`uuid`
`private final UUID`
`writtenBy`

## Constructor Summary

Constructors
Constructor
Description
`Note()`

## Method Summary

Modifier and Type
Method
Description
`String`
`toJSON()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### uuid

private final UUID uuid

### note

private final String note

### writtenBy

private final UUID writtenBy

### timestamp

private final ZonedDateTime timestamp

### id

private int id

## Constructor Details

### Note

public Note()

## Method Details

### toJSON

public String toJSON()